package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value ="sourcetype",autoResultMap = true) //数据库表相关
public class SourceType extends BaseEntity {
    private static final long serialVersionUID = 1L;
    //数据源类型ID
    private Integer id;

    //数据源类型名称
    private String name;
    //
    @TableField(value = "driver_class")
    private String driverClass;

    //
    private String prefix;

    private String suffix;
}
